## VteReaper

VteReaper — A singleton object which catches `SIGCHLD` signals and converts them into GObject-style "child-exited" signals.

## Synopsis

## Description

Because an application may need to be notified when child processes exit, and because there is only one `SIGCHLD` handler, the VteTerminal widget relies on a VteReaper to watch for `SIGCHLD` notifications and retrieve the exit status of child processes which have exited. When glib provides child_watch functionality, the VteReaper merely acts as a proxy for glib's own functionality.

## Details